Subject: Re: FVWM: moving window in pager w/o mouse

From: parv <[email-masked]>
Date: Sun, 16 Jun 2002 20:48:37 -0400

in message <[email-masked]>,
wrote Mikhael Goikhman thusly...
>
> On 16 Jun 2002 02:17:51 -0400, parv wrote:
> > 
> > i am quite satisfied w/ my current key bindings (v2.4.8 & v2.5.1)
> > except that i couldn't think of a way to move a window in the
> > virtual pager from one page to another on the same desk from the
> > keyboard.
> > 
> > so far, i have to put up w/ right mouse click to hold-and-drag to
> > move windows in the pager.
>
> I guess you mean drag a window in the pager using the middle mouse button.

yeah that's what i meant.  my mouse lacks a third button; so i use
alt+right_button to move windows in pager, and "right mouse button"
was what i remembered.

> > what would i need to do after highlighting a window in a page?
> 
>   # move to page, Shift+Ctrl+KP_N
>   Key KP_1        A       SC      MoveToPage 0 2
>   Key KP_2        A       SC      MoveToPage 1 2
...
>   # move without the cursor, Shift+Alt+KP_N
>   Key KP_1        A       SM      Move w-1 w+1
>   Key KP_2        A       SM      Move w   w+1
...

in fvwm 2.5.1, MoveToPage binding was producing very odd movements
when used on a highlighted/focused window in the pager;  however,
they worked as expected when used on actual window.  i tried all the
permutations combining '0', '+', and 'p' to no avail ...

key Bracketleft   A  M  MoveToPage -1p 0p
key Bracketright  A  M  MoveToPage +1p 0p
key Slash         A  M  MoveToPage 0p -1p
key Apostrophe    A  M  MoveToPage 0p +1p

...following key bindings work just as expected w/o any problems
both on the actual window & its representation in the pager...

key Bracketleft   W  M  Move w-100 w
key Bracketright  W  M  Move w+100 w
key Slash         W  M  Move w w+100
key Apostrophe    W  M  Move w w-100

...thanks mikhael.

also ... in private mail i got the suggestion to use a key binding
to "Stick"; focus a window in a page (in virtual pager) move to
another page & press the sticking key, followed by an additional
application.  and there you/i have it -- a window transported to
an arbitrary page.

  - parv

-- 
 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 17 Jun 2002 01:41:23 +0000

> key Apostrophe    A  M  MoveToPage 0p +1p

Well, it should be "+0p" not "0p", but it is still relative to the current
page, not the window's page. We miss a syntax similar to w+1 in MoveToPage.
But as you noted, it may be simulated by the bindings below.

> application.  and there you/i have it -- a window transported to

You probably mean "the current page" when you say "an arbitrary page".
My definition of "an arbitrary page" is any (non just the current) page.

"Stick on" and the following "Stick off" may help to bring the window to
the current page (the same effect may be achieved using a single
MoveToPage without arguments), but you need "Move" or "MoveToPage" with
the proper arguments to bring it to an arbitrary page.

Regards,
Mikhael.

---

From: Chuck Martin <[email-masked]>
Date: Mon, 17 Jun 2002 00:57:34 -0400

> the proper arguments to bring it to an arbitrary page.

Actually, arbitrary is correct, the way I do it (I don't use the pager for
this).  I was the one who made the suggestion to use "Stick" (which was
meant to go to the list, but I didn't pay attention, and didn't realize
that replies to the list only go to the original poster without making
extra effort; is there a reason for that?).  I use "Stick" without
arguments, which makes it act as a toggle.  The procedure is then to
activate the window, make it sticky, go to where you want it, and then
make it unsticky, using the same key or key combination (I use the left,
so-called "Windows" key and the period together).  This can be used to move
a window anywhere, not only on the current desktop, but also to any other
desktop, and can also be used to move a whole group of windows at the same
time.

Chuck

P.S.  If you get two copies of this, Mikhael, it's because I made a mistake
again in cc'ing it to the list the first time.  I thought I had an alias
for the fvwm list, and I didn't.  Sorry.

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 17 Jun 2002 05:15:32 +0000

On 17 Jun 2002 00:55:29 -0400, Chuck Martin wrote:
> extra effort; is there a reason for that?).

Use group-reply 'g' in your mailer (mutt) instead of 'r'.

> I use "Stick" without arguments, which makes it act as a toggle.  The
> procedure is then to activate the window, make it sticky, go to where
> you want it, and then make it unsticky, using the same key or key
> combination (I use the left, so-called "Windows" key and the period
> together).  This can be used to move a window anywhere, not only on the
> current desktop, but also to any other desktop, and can also be used to
> move a whole group of windows at the same time.

Ok, you describe a way to temporary carry a window from the old current
page to the new current page in my terminology. This is nice. Moving a
window to another page/desk without switching pages is another task.

Regards,
Mikhael.

---

From: parv <[email-masked]>
Date: Mon, 17 Jun 2002 04:31:44 -0400

in message <[email-masked]>,
wrote Mikhael Goikhman thusly...
> > when used on a highlighted/focused window in the pager
...
...
> Well, it should be "+0p" not "0p",

that's what o initially had, but was not working as i was expecting
(see below)...

> but it is still relative to the current page, not the window's
> page. We miss a syntax similar to w+1 in MoveToPage.

...ah, that's it!  i was expecting the movement to be relative to
window's page not relative to the cuurent page.  that will teach me
to rtfm w/ more care & patience.

  - parv

--

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 17 Jun 2002 10:10:31 +0000

> > Well, it should be "+0p" not "0p",

Actually "0p", "-0p" and "+0p" are the same in this context.
Not a very intuitive syntax. I would replace it with: "w+1" (relative to
the window's page), "c+1" (relative to the current page, instead of "1p").

Regards,
Mikhael.